unit tpPegGclGatherFme;

interface

uses
  tpPegGclGatherDm,
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, sdGridDBA, ZJGrid;

type
  TtpPegGclGatherFrame = class(TFrame)
    zgGclGather: TZJGrid;
    saGclGather: TsdGridDBA;
    sprPeg_Gcl: TSplitter;
    zgGclRela: TZJGrid;
    saGclRela: TsdGridDBA;
  private
    FPegGclGatherData: TtpPegGclGatherData;
    procedure SetPegGclGatherData(const Value: TtpPegGclGatherData);
  public
    property PegGclGatherData: TtpPegGclGatherData read FPegGclGatherData write SetPegGclGatherData;
  end;

implementation

{$R *.dfm}

{ TtpPegGclGatherFrame }

procedure TtpPegGclGatherFrame.SetPegGclGatherData(
  const Value: TtpPegGclGatherData);
begin
  FPegGclGatherData := Value;

  saGclGather.DataView := FPegGclGatherData.sdvGclGather;
  saGclRela.DataView := FPegGclGatherData.sdvGclRela;
end;

end.
